org.eclipse.viatra.cep.vepl.services

## Class VeplGrammarAccess.RuleElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - org.eclipse.viatra.cep.vepl.services.VeplGrammarAccess.RuleElements

- All Implemented Interfaces:
    org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess
  Enclosing class:
    VeplGrammarAccess

      public class VeplGrammarAccess.RuleElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleElements()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.Assignment` | `getActionAssignment_5()`
    `org.eclipse.xtext.RuleCall` | `getActionXBlockExpressionParserRuleCall_5_0()`
    `org.eclipse.xtext.Keyword` | `getCommaKeyword_4_0()`
    `org.eclipse.xtext.Assignment` | `getEventPatternsAssignment_3()`
    `org.eclipse.xtext.Assignment` | `getEventPatternsAssignment_4_1()`
    `org.eclipse.xtext.RuleCall` | `getEventPatternsParameterizedPatternCallParserRuleCall_3_0()`
    `org.eclipse.xtext.RuleCall` | `getEventPatternsParameterizedPatternCallParserRuleCall_4_1_0()`
    `org.eclipse.xtext.Group` | `getGroup_4()`
    `org.eclipse.xtext.Group` | `getGroup()`
    `org.eclipse.xtext.Assignment` | `getNameAssignment_1()`
    `org.eclipse.xtext.RuleCall` | `getNameIDTerminalRuleCall_1_0()`
    `org.eclipse.xtext.Keyword` | `getOnKeyword_2()`
    `org.eclipse.xtext.ParserRule` | `getRule()`
    `org.eclipse.xtext.Keyword` | `getRuleKeyword_0()`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleElements

          public RuleElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getGroup

          public org.eclipse.xtext.Group getGroup()

    - #### getRuleKeyword_0

          public org.eclipse.xtext.Keyword getRuleKeyword_0()

    - #### getNameAssignment_1

          public org.eclipse.xtext.Assignment getNameAssignment_1()

    - #### getNameIDTerminalRuleCall_1_0

          public org.eclipse.xtext.RuleCall getNameIDTerminalRuleCall_1_0()

    - #### getOnKeyword_2

          public org.eclipse.xtext.Keyword getOnKeyword_2()

    - #### getEventPatternsAssignment_3

          public org.eclipse.xtext.Assignment getEventPatternsAssignment_3()

    - #### getEventPatternsParameterizedPatternCallParserRuleCall_3_0

          public org.eclipse.xtext.RuleCall getEventPatternsParameterizedPatternCallParserRuleCall_3_0()

    - #### getGroup_4

          public org.eclipse.xtext.Group getGroup_4()

    - #### getCommaKeyword_4_0

          public org.eclipse.xtext.Keyword getCommaKeyword_4_0()

    - #### getEventPatternsAssignment_4_1

          public org.eclipse.xtext.Assignment getEventPatternsAssignment_4_1()

    - #### getEventPatternsParameterizedPatternCallParserRuleCall_4_1_0

          public org.eclipse.xtext.RuleCall getEventPatternsParameterizedPatternCallParserRuleCall_4_1_0()

    - #### getActionAssignment_5

          public org.eclipse.xtext.Assignment getActionAssignment_5()

    - #### getActionXBlockExpressionParserRuleCall_5_0

          public org.eclipse.xtext.RuleCall getActionXBlockExpressionParserRuleCall_5_0()